/*
================================================================================
= DISEÑO RESPONSIVO - HEADER
================================================================================
*/


@media (max-width: 1200px) {
    .header {
        top: 0;
        width: 100%;
        z-index: 1000;
        box-shadow: 0 2px 20px rgba(0, 0, 0, 0.1);
        padding: 10px 0;
        -webkit-mask-image: linear-gradient(to bottom, black 88%, transparent 100%);
        mask-image: linear-gradient(to bottom, black 88%, transparent 100%);
    }

    .imagen-full-home {

        margin-top: -40px;
        height: 80vh;
        /* color: var(--text-on-dark); */
        -webkit-mask-image: linear-gradient(to top, black 90%, transparent 100%);
        mask-image: linear-gradient(to top, black 90%, transparent 100%);
        background-size: cover;
        margin-bottom: 50px;
    }

    /* Ya no se necesitan ajustes frágiles para el buscador aquí */

}

@media (max-width:992px) {

    .search-input-container {
        width: 90%; /* Hacemos el input un poco más grande en tablets */
    }


}


@media (max-width: 840px) {
    .nav-links li:nth-last-child(2) {
        display: none;
    }

    .search-wrapper {
    position: absolute;
    /* right: 5%; */
    width: 60%;
    /* max-width: 400px; */
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    justify-content: flex-end;
    /* gap: 2rem; */
    margin-bottom: 5px;
    left: 20%;
}
.search-message {
    display: none;
}

.search-wrapper input {
    border: 0.135rem dotted #ffffff8a;
}

}












@media (max-width: 768px) {
    .nav-links {
        display: none;
    }

    .hamburger {
        display: flex;
    }

    .nav {
        justify-content: center;
    }

    .titulos h1 {
        font-size: 2.5rem;
    }

    .titulos p {
        font-size: 0.9rem;
    }

    .simple-navbar {
        display: none;
    }
    .imagen-full {
        height: 50vh;
    }


}

@media (max-width: 576px) {
        .search-wrapper {
    position: absolute;
    /* right: 5%; */
    width: 85%;
    /* max-width: 400px; */
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    justify-content: flex-end;
    /* gap: 2rem; */
    margin-bottom: 5px;
    left: 5%;
}
}

@media (max-width: 480px) {

    .nav {
        padding: 0.5rem 1rem;
    }

    .hamburger {
        top: 0.75rem !important;
        right: 0.45rem !important;
        width: 40px;
        height: 40px;
    }

    .mobile-menu-close {
        top: 0.5rem;
        right: 0.7rem;
    }

    .titulos h1 {
        font-size: 2.5rem;
        letter-spacing: 5px;
    }

    .titulos h3 {
        font-size: 0.9rem;
    }

    .titulos p {
        font-size: 0.6rem;
    }
    .footer-logo {
        display: block
    }
        .footer-logo svg {
        margin: 0 auto;
        width: 75px;
        padding-bottom: 25px;
    }
}